package piglets;

import universum.bi.Location;
import java.util.TreeSet;

public class DrawWell implements Comparable<DrawWell> {
    public Location         pos;
    public final SuperHerder herder;
    public final TreeSet<SuperPiglet> owners = new TreeSet<SuperPiglet>();

    public DrawWell(Location pos, SuperHerder herder) {
        this.pos        = pos;
        this.herder     = herder;
    }

    public GladeCell getCell() {
        return herder.gladeCellAt(pos);
    }

    public int compareTo(DrawWell o) {
        int x_cmp = Float.compare(pos.getX(), o.pos.getX());
        if (x_cmp != 0) {
            return x_cmp;
        }
        return Float.compare(pos.getY(), o.pos.getY());
    }
}
